#ifndef __UTILS_H_
#define __UTILS_H_

#include <libubus.h>

#include "config.h"
#include "dns_cache.h"

#define MAX_LEN_WEEKDAY		10
#define MAX_DAYS		7
#define MAX_SEC			86400
#define BUFSIZE			2048
#define MAC_LEN			18
#define MAX_SIZE		256U

int validate_ip(char *ip_str);
int validate_ipv6(char *ip6_str);
void wildcard_to_regex(const char *wildcard, char *regex);
unsigned int get_current_day_and_time(unsigned int *day_index);
char *get_domain_name(char data[]);
void print_profile(struct profile *prof, struct blob_buf *b);
void free_all(void);
#endif
